# Package net.snowflake.client.api.loader

Interface Summary
Loader: Bulk loader for Snowflake.
LoadResultListener: Callback API for processing errors and statistics of upload operation

Class Summary
LoaderFactory
LoadingError: Wrapper for data format errors returned by the COPY/validate command.

Enum Summary
LoaderProperty: Configuration parameters for Loader
LoadingError.ErrorProperty: Properties that can be associated with a loading error.
Operation: Operations supported by the Snowflake Loader API.

Exception Summary
Loader.ConnectionError
Loader.DataError